Subject: Re: [PATCH 4/4] bonding: Fix some RTNL taking

From: Makito SHIOKAWA <[email-masked]>
Date: Thu, 17 Jan 2008 14:30:37 +0900

> Maybe I'm wrong, but since this read_lock() is given and taken anyway,
> it seems this looks a bit better to me (why hold this rtnl longer
> than needed?):
> 		read_unlock(&bond->lock);
> 		rtnl_unlock();
> 		read_lock(&bond->lock);
Seems better.

> On the other hand, probably 'if (bond->kill_timers)' could be repeated
> after this read_lock() retaking.
Sorry, what do you mean? (A case that bond->kill_timers = 1 is done during 
lock retaking, and work being queued only to do 'if (bond->kill_timers)'? If 
so, I think that won't differ much.)

> If this if () is really necessary here, then this should be better
> before "delay = ..." with a block.
I agree.

-- 
Makito SHIOKAWA
MIRACLE LINUX CORPORATION